Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010255 [DCSS] Patches feature N/A 2016-01-27 06:11 2016-02-22 00:29
Reporter Roy View Status public  
Assigned To Lasty
Priority normal Resolution done  
Status resolved   Product Branch 0.18 ancient branch
Summary 0010255: Add skill_gains table to chardump, plus minor fixes
Description This patch adds a new skill_gains table that concisely shows the skill progression of a character over time, analogous to the existing action_counts table.

This is implemented using the existing gain skill / lose skill notes, so save files are backward and forwards compatible. See commit message for details.

Example:
Skill      XL: |  1  2  3  4  5  6  7  8  9 10 |
---------------+-------------------------------+-----
Maces & Flails |  4  5     6     8  9 11 14    | 14.5
Fighting       |           5  6           7  9 |  9.7
Stealth        |                    1          |  1.2
Armour         |                    3  6       |  6.0
Dodging        |                               |  2.1


Also included are two cleanup patches. The first normalizes blank lines in the chardump while the second fixes the documentation's default value of "dump_order".

Please let me know if you have any suggestions and I would be happy to make them.

More discussion: https://crawl.develz.org/tavern/viewtopic.php?p=257518 [^]
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Add-skill_gains-table-to-the-chardump.patch [^] (9,431 bytes) 2016-01-27 06:11 [Show Content]
? file icon 0002-End-every-chardump-section-with-a-blank-line.patch [^] (2,110 bytes) 2016-01-27 06:11 [Show Content]
? file icon 0003-Update-dump_order-docs-to-match-real-default.patch [^] (1,534 bytes) 2016-01-27 06:11 [Show Content]
txt file icon example_dump_file.txt [^] (10,725 bytes) 2016-01-27 06:12 [Show Content]

- Relationships

-  Notes
(0030165)
Roy (reporter)
2016-01-27 06:12

Added an example dump file so you can see the effects of the whitespace changes.
(0030206)
Lasty (developer)
2016-02-22 00:29

Pushed! Thanks for the patches!

- Issue History
Date Modified Username Field Change
2016-01-27 06:11 Roy New Issue
2016-01-27 06:11 Roy File Added: 0001-Add-skill_gains-table-to-the-chardump.patch
2016-01-27 06:11 Roy File Added: 0002-End-every-chardump-section-with-a-blank-line.patch
2016-01-27 06:11 Roy File Added: 0003-Update-dump_order-docs-to-match-real-default.patch
2016-01-27 06:12 Roy File Added: example_dump_file.txt
2016-01-27 06:12 Roy Note Added: 0030165
2016-02-03 05:41 Roy Issue Monitored: Roy
2016-02-22 00:29 Lasty Note Added: 0030206
2016-02-22 00:29 Lasty Status new => resolved
2016-02-22 00:29 Lasty Fixed in Branch => 0.18 development branch
2016-02-22 00:29 Lasty Resolution open => done
2016-02-22 00:29 Lasty Assigned To => Lasty


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker